Subject: bug#2752: Emacs wrap tab is broken

From: Rune Buje Christensen <[email-masked]>
Date: Mon, 23 Mar 2009 10:09:01 +0100

Dear emacs team

I am using emacs as a c++ editor.
Today I found a bug. I was trying to click a wrapped line to insert som 
text, and I found the mouse was off by 3-4 characters.

This happens when emacs is wrapping a long line of text right in the 
middle of a tab (tabulator width 8 chars). The mouse is then off by 3-4 
characters proberly corresponding to the wrapped part of the tab. It 
only happens on the wrapped part of the line, the first part works fine.

PS. I also tried fitting the width of emacs, to a multiplum of the tab 
width eg. 80 lines wide. Then the line is wrapped between two tabs and 
the bug does not appear.

Have a nice day ;-)

/Rune Buje Christensen
Medical Insight